Issue329

Title "Your Issues" list is empty
Priority bug Status resolved
Superseder Nosy List ajaksu2, amk, ezio.melotti, loewis, techtonik
Assigned To ezio.melotti Topics

Created on 2010-03-31.06:14:59 by techtonik, last changed 2010-11-03.15:19:03 by ezio.melotti.

Files
File name Uploaded Type Edit Remove
issue329.diff ezio.melotti, 2010-08-05.03:29:34 text/plain
Messages
msg1618 (view) Author: techtonik Date: 2010-03-31.06:14:59
My "Your Issues" list is empty, although I have opened tickets where I am the author. I.e. http://bugs.python.org/issue7585
msg1621 (view) Author: ajaksu2 Date: 2010-03-31.06:25:48
As explained in issue 299:
'"Your issues" is the list of issues that have been assigned to you[...].'

And I think Ezio has the best solution:
' It would even be better to have "Issues opened by you" for both devs
and non-devs and "Your Issues" for devs only.'

Leaving open because so far it's a much more objective issue when
compared to the original ;)
msg1622 (view) Author: techtonik Date: 2010-03-31.06:31:39
Having to read issue 299 to figure this out is a little bit unfriendly in the terms of interface. I would expect on this page all of:

1. Clear message "There is no issues assigned to you"
2. A list of issues reported by me
3. A list of issues I participated 

Of course this will require pagination, but 2 and 3 can be at least links on this page.
msg1625 (view) Author: ajaksu2 Date: 2010-03-31.07:09:53
Adding some context for when this gets done :)

The "Your Issues" page is just a issue list with a custom title, so
pagination comes free.

The URL is in this format:
 http://bugs.python.org/issue?[status and sort]
&@dispname=Your%20Issues
&[...]
&@filter=status,assignee[...
]&assignee=[User ID]

So you can set the 'no issues' message in the link.

The link is generated in page.html by this code:
    <ul class="level-three">
    <li>
    <a href="#"
       tal:attributes="href python:request.indexargs_url('issue', {
      '@sort': '-activity',
      '@group': 'priority',
      '@filter': 'status,assignee',
      '@columns': 'id,activity,title,creator,status',
      '@search_text': '',
      'status': status_notresolved,
      'assignee': request.user.id,
      '@dispname': i18n.gettext('Your Issues'),
      '@startwith': 0,
     })"
    i18n:translate="">Your Issues</a>
    </li>

So the easiest way to get all three listings would be to add the two
other as links (copy and paste, filter on creator and nosy instead of
assignee). Hide what is currently 'Your Issues' from non-Developers
and figure three neat names for these reports and we're set.

Making 'Your Issues' a special page that links to the different
reports (or a default query) is doable, just a bit more involved.
msg1626 (view) Author: techtonik Date: 2010-03-31.07:27:52
I would avoid having too much queries on the interface if it is doable to have a single page. For example, search link is now completely lost in navigation menu. The same might happen with "Your details" link.

The names I have for my custom queries are:
1. Participated
2. Patches
3. Submitted

They would be better seen and sorted as:
1. Reported
2. Participated
3. My patches
msg1765 (view) Author: ezio.melotti Date: 2010-08-05.03:29:34
This patch enhance the left menu in the following ways:
 1) it cleans up the "Issues" section, leaving only:
      Create new  (for logged users)
      Search
      Show issue: |____|
 2) it adds a "Summaries" sections, that shows:
      Created by you (for logged users)
      Followed by you (for logged users)
      Assigned to you (for logged users with Developer status)
      Issues with patch
      Easy Issues
 3) it removes the "Your issues" entry from the "user" section, leaving only:
      (for logged users)
      Your details
      Logout
      (or for anonymous users)
      Login (...)
      Register
      Lost your login?

The patch also tweaks the searches (for example preferring the grouping by status rather that priority). I also cleaned up the HTML, removing useless tags and attributes (e.g. <br/>, empty class=""), using <strong> instead of <b>, and indenting the code properly.
msg1770 (view) Author: ezio.melotti Date: 2010-08-09.18:05:32
I committed the patch in r83896.
I'll leave this open for a while to see if there's any feedback about it.
msg1797 (view) Author: techtonik Date: 2010-08-22.18:12:46
Thanks for working on this. It is indeed much better now.

The "Show issue:" field is redundant as issue can be found using search if people are not proficient enough with URLs. To make search more accessible it would worthy to replace "Show issue:" form and "Search" link with search box.
msg1856 (view) Author: ezio.melotti Date: 2010-11-03.15:19:03
The "show issue" field is useful when the issue number is known. It could be merged with the main "search" field (on the top-right) but I'm not sure it's worth doing it.
History
Date User Action Args
2010-11-03 15:19:03ezio.melottisetstatus: testing -> resolved
messages: + msg1856
2010-08-22 18:12:46techtoniksetmessages: + msg1797
2010-08-09 18:05:32ezio.melottisetstatus: chatting -> testing
messages: + msg1770
2010-08-05 03:31:36ezio.melottisetnosy: + amk, loewis
2010-08-05 03:29:35ezio.melottisetfiles: + issue329.diff
assignedto: ezio.melotti
messages: + msg1765
nosy: + ezio.melotti
2010-03-31 07:27:53techtoniksetmessages: + msg1626
2010-03-31 07:09:53ajaksu2setmessages: + msg1625
2010-03-31 06:31:40techtoniksetmessages: + msg1622
2010-03-31 06:25:48ajaksu2setstatus: unread -> chatting
nosy: + ajaksu2
messages: + msg1621
2010-03-31 06:14:59techtonikcreate